﻿@model IEnumerable<Bulky.Models.BookProduct>

@{
    ViewData["Title"] = "Home Page";
}

<div class="row pb-3">
    @foreach(var o_book in Model)
    {
        <div class="col-lg-3 col-sm-6">
            <div class="row p-2">
                <div class="col-12 p-1">
                    <div class="card border-0 p-3 shadow border-top border-5 rounded">
                        @if(o_book.ProductImages!=null && o_book.ProductImages.Count() > 0) {
                            <img src="@o_book.ProductImages.FirstOrDefault().ImageUrl" class="card-img-top rounded" />
                        }
                        else {
                            <img src="https://placehold.co/500x600/png" class="card-img-top rounded" />
                        }
                        <div class="card-body pb-0">
                            <div class="pl-1 ">
                                <p class="card-title h5 text-dark opacity-75 text-uppercase text-center">@o_book.Title</p>
                                <p class="card-title text-warning text-center">by <b>@o_book.Author</b></p>
                            </div>
                            <div class="pl-1 ">
                                <p class="text-dark text-opacity-75 text-center mb-0">
                                    List Price: <span class="text-decoration-line-through">@o_book.ListPrice.ToString("c")</span>
                                </p>
                            </div>
                            <div class="pl-1 ">
                                <p class="text-dark text-opacity-75 text-center">As low as: <span>@o_book.Price100.ToString("c")</span>  </p>
                            </div>
                        </div>
                        <!-- Start Details Button -->
                        <div>
                            <a asp-action="Details" asp-route-cartItemId="@o_book.Id" class="btn btn-primary bg-gradient border-0 form-control">
                                Details
                            </a>
                        </div><!-- End Details Button -->
                    </div>
                    
                </div>
            </div>
        </div>
    }
</div>
